Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.ashwood.graph
Class ReversedIteration.ReversedArcIterator<S,T>

    java.lang.Object
      org.apache.cayenne.ashwood.graph.ReversedIteration.ReversedArcIterator<S,T>

All Implemented Interfaces:
  Iterator<T>, ArcIterator<S,T>

Enclosing class:
  ReversedIteration<E,V>

    public static class ReversedIteration.ReversedArcIterator<S,T>

extends Object
implements ArcIterator<S,T>

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.cayenne.ashwood.graph.ArcIterator
`ArcIterator.EmptyIterator<E,V>`

Field Summary

Fields inherited from interface org.apache.cayenne.ashwood.graph.ArcIterator
`EMPTY_ITERATOR`

Constructor Summary
`ReversedIteration.ReversedArcIterator(ArcIterator<S,T> wrappedIterator)`

Method Summary
`S` | `getDestination()`
`S` | `getOrigin()`
`boolean` | `hasNext()`
`T` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReversedIteration.ReversedArcIterator

    public ReversedIteration.ReversedArcIterator(ArcIterator<S,T> wrappedIterator)

Method Detail

### getOrigin

    public S getOrigin()

  Specified by:
    `getOrigin` in interface `ArcIterator<S,T>`

### getDestination

    public S getDestination()

  Specified by:
    `getDestination` in interface `ArcIterator<S,T>`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<T>`

### next

    public T next()

  Specified by:
    `next` in interface `Iterator<T>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.